# terraform-library

This repository contained a set of terraform reusable library to deploy an application into kubernetes cluster.

usage example:

```hcl
module "image-uploader-mock" {
  source = "git::ssh://gitolite@antoine-roux.tk/virtualization/terraform-library.git?depth=1&ref=main"
  application_name = "wiremock"
  namespace        = local.default_namespace
  image            = {
    name = "container.localdomain/wiremock"
  }
  ports = [
    {
      container_port = 8083
      expose         = true
    }
  ]
}
```

## running test

```shell
$ tf test
```
